import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["headings", "rows", "colNumber", "isListView", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import classNames from 'classnames';
import { HeadingRow } from "./tableHeadingRow";
import { TableRow } from "./tableRow";
import styles from "./table.module.scss";
/**
 * A table component that renders the properties of a component.
 */
export function Table(_ref) {
  let {
      headings,
      rows,
      colNumber = 4,
      isListView,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
    className: classNames(styles.table, className)
  }), /*#__PURE__*/React.createElement(HeadingRow, {
    isListView: isListView,
    colNumber: colNumber,
    headings: headings
  }), rows.map((row, index) => {
    return /*#__PURE__*/React.createElement(TableRow, {
      key: index,
      isListView: isListView,
      headings: headings,
      row: row,
      colNumber: colNumber
    });
  }));
}