import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["row", "customRow", "colNumber", "headings", "isListView", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import classNames from 'classnames';
import { Grid } from "../grid";
import { TableColumn } from "./tableColumn";
import { CodeHighlighter } from "../../baseUI/highlighter";
import styles from "./tableRow.module.scss";
/**
 *
 * Renders a row in the table according to the order of the headings.
 */
export function TableRow(_ref) {
  let {
      row,
      customRow,
      colNumber = 4,
      headings,
      isListView,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(Grid, _extends({
    col: colNumber,
    className: classNames(styles.propRow, {
      [styles.singleColumn]: isListView
    }, className)
  }, rest), headings.map((title, index) => {
    if (title === 'required') return null;
    if (title === 'name') {
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: styles.breakWord,
        key: index
      }, /*#__PURE__*/React.createElement("div", {
        className: classNames(styles.mobileTitle, {
          [styles.show]: isListView
        })
      }, title), /*#__PURE__*/React.createElement("div", {
        className: styles.columnContent
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.name
      }, (customRow === null || customRow === void 0 ? void 0 : customRow.name) || row[title]), !(customRow !== null && customRow !== void 0 && customRow.required) && row.required && /*#__PURE__*/React.createElement("div", {
        className: styles.required
      }, "(Required)"), (customRow === null || customRow === void 0 ? void 0 : customRow.required) && /*#__PURE__*/React.createElement("div", {
        className: styles.required
      }, customRow.required), !(customRow !== null && customRow !== void 0 && customRow.version) && row.version && /*#__PURE__*/React.createElement("div", {
        className: styles.version
      }, row.version), (customRow === null || customRow === void 0 ? void 0 : customRow.version) && /*#__PURE__*/React.createElement("div", {
        className: styles.version
      }, customRow.version)));
    }
    if (title === 'type') {
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: classNames(styles.breakWord, styles.typeColumn),
        key: index
      }, /*#__PURE__*/React.createElement("div", {
        className: classNames(styles.mobileTitle, {
          [styles.show]: isListView
        })
      }, title), !(customRow !== null && customRow !== void 0 && customRow.type) && /*#__PURE__*/React.createElement(CodeHighlighter, {
        language: "typescript",
        className: styles.highlighted
      }, row[title]), customRow === null || customRow === void 0 ? void 0 : customRow.type);
    }
    if (title === 'default') {
      var _row$title;
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: styles.breakWord,
        key: index
      }, /*#__PURE__*/React.createElement("div", {
        className: classNames(styles.mobileTitle, {
          [styles.show]: isListView
        })
      }, title), !(customRow !== null && customRow !== void 0 && customRow.default) && /*#__PURE__*/React.createElement("span", {
        className: styles.default
      }, row[title] && ((_row$title = row[title]) === null || _row$title === void 0 ? void 0 : _row$title.value) || '-'), (customRow === null || customRow === void 0 ? void 0 : customRow.default) && /*#__PURE__*/React.createElement("span", {
        className: styles.default
      }, customRow.default));
    }
    if (title === 'description') {
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: styles.breakWord,
        key: index
      }, (customRow === null || customRow === void 0 ? void 0 : customRow.description) || row[title]);
    }
    // default
    return /*#__PURE__*/React.createElement(TableColumn, {
      className: styles.breakWord,
      key: index
    }, /*#__PURE__*/React.createElement("div", {
      className: classNames(styles.mobileTitle, {
        [styles.show]: isListView
      })
    }, title), (customRow === null || customRow === void 0 ? void 0 : customRow[title]) || row[title]);
  }));
}