// eslint-disable-next-line import/no-extraneous-dependencies
import { useEffect } from 'react';
import { useQuery } from '@apollo/client';
import { Message } from '@arco-design/web-react';
import { useLoader } from "../globalLoader";
export function useDataQuery(query, options) {
  const res = useQuery(query, options);
  const {
    loading,
    error
  } = res;
  useLoader(loading);
  useEffect(() => {
    if (error) {
      Message.error(error.toString());
    }
  }, [error]);
  return res;
}