// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { CodeSnippet } from "../snippet/codeSnippet";
import styles from "./demoView.module.scss";
function decodeRawCode(uint8ArrayStr) {
  const decoder = new TextDecoder();
  return decoder.decode(new Uint8Array(uint8ArrayStr.split(',')));
}
export function DemoView({
  children,
  code
}) {
  const codeText = code ? typeof code === 'string' ? code : code.value : null;
  const needDecodeCodeText = code && typeof code === 'object' ? code.needDecode : false;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.demoView
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.demo
  }, children), codeText ? /*#__PURE__*/React.createElement(CodeSnippet, {
    className: styles.code
  }, needDecodeCodeText ? decodeRawCode(codeText) : codeText) : null);
}