// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo, useState } from 'react';
export const DocAnchorContext = /*#__PURE__*/React.createContext({
  anchorList: [],
  updateAnchorList: () => {}
});
export function DocAnchorContextProvider({
  children
}) {
  const [anchorList, setAnchorList] = useState([]);
  const providerValue = useMemo(() => {
    return {
      anchorList,
      updateAnchorList: (value, method = 'append') => {
        setAnchorList(preAnchorList => {
          return method === 'append' ? [...preAnchorList, ...value] : method === 'prepend' ? [...value, ...preAnchorList] : value;
        });
      }
    };
  }, [anchorList]);
  return /*#__PURE__*/React.createElement(DocAnchorContext.Provider, {
    value: providerValue
  }, children);
}