import _extends from "@babel/runtime/helpers/extends";
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import gfm from 'remark-gfm';
import ReactMarkdown from 'react-markdown';
import cs from 'classnames';
import { Heading } from "../components/heading";
import { CodeSnippet } from "../components/snippet/codeSnippet";
import "../style/markdown.css";
import styles from "./markdownLive.module.scss";
const MARKDOWN_BODY_CLASSNAME = 'markdown-body';
function H1(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 1
  }, props));
}
function H2(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 2
  }, props));
}
function H3(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 3
  }, props));
}
function H4(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 4
  }, props));
}
function H5(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 5
  }, props));
}
function H6(props) {
  return /*#__PURE__*/React.createElement(Heading, _extends({
    depth: 6
  }, props));
}
function Code(props) {
  const {
    inline,
    children
  } = props;
  const code = (children === null || children === void 0 ? void 0 : children[0]) || '';
  return inline ? /*#__PURE__*/React.createElement("code", null, code) : /*#__PURE__*/React.createElement(CodeSnippet, {
    children: code
  });
}
export function MarkdownLive(props) {
  const {
    children,
    className
  } = props;
  return /*#__PURE__*/React.createElement(ReactMarkdown, {
    children: children,
    className: cs(MARKDOWN_BODY_CLASSNAME, styles.markdownLive, className),
    remarkPlugins: [gfm],
    components: {
      code: Code,
      h1: H1,
      h2: H2,
      h3: H3,
      h4: H4,
      h5: H5,
      h6: H6
    }
  });
}