import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["code", "title", "style", "children"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';

// this page is used to render error pages both in browser, and from server endpoints.
// some of these don't support css, so it is inlined here like so.
// perf is ok, since this only applies to a small number of components.

const styles = {
  errorPage: {
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
    margin: 'auto',
    padding: '24px',
    textAlign: 'center'
  },
  title: {
    fontWeight: 'bold',
    margin: '0 0 24px 0'
  },
  img: {
    maxWidth: '700px',
    marginBottom: '24px',
    width: '100%'
  }
};
const inlineStyles = `
.arco-error-page-title { font-size: 36px; }
@media screen and (max-width: 480px) { .arco-error-page-title { font-size: 24px; } }
`;

/**
 * A component that shows an error page according to the error code
 */
export function ErrorPage(_ref) {
  let {
      code,
      title,
      style,
      children
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
    style: _objectSpread(_objectSpread({}, styles.errorPage), style)
  }), /*#__PURE__*/React.createElement("style", null, inlineStyles), /*#__PURE__*/React.createElement("h1", {
    style: styles.title,
    className: "arco-error-page-title"
  }, title), children);
}