// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useContext } from 'react';
// eslint-disable-next-line import/no-extraneous-dependencies
import { Link } from 'react-router-dom';
import { IconApps } from '@arco-design/web-react/icon';
import { WorkspaceContext } from "../workspaceContext";
import styles from "./workspaceOverview.module.scss";
export function WorkspaceOverview() {
  const {
    name,
    components
  } = useContext(WorkspaceContext);
  return /*#__PURE__*/React.createElement("div", {
    className: styles.workspaceOverview
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.workspaceTitle
  }, /*#__PURE__*/React.createElement(IconApps, null), name), /*#__PURE__*/React.createElement("div", {
    className: styles.gallery
  }, components.map(({
    id,
    name,
    packageName
  }) => {
    return /*#__PURE__*/React.createElement(Link, {
      key: id,
      className: styles.componentCard,
      to: `/${id}`
    }, /*#__PURE__*/React.createElement("span", {
      title: name,
      className: styles.title
    }, name), /*#__PURE__*/React.createElement("span", {
      className: styles.packageName
    }, packageName));
  })));
}